
/*GENERAL STYLE*/

body {
    font-family: 'Open Sans', serif;
    padding-top: 54px;
    color: #094b8e;
}

@media (min-width: 992px) {
    body {
        padding-top: 0;
        padding-left: 17rem;
    }
}

h1,
h2,
h3,
h4,
h5,
h6 {
    font-family: 'Saira Extra Condensed', serif;
    font-weight: 700;
    text-transform: uppercase;
    color: #343a40;
}

h1 {
    font-size: 6rem;
    line-height: 5.5rem;
}

h2 {
    font-size: 3.5rem;
}

a {
    color: #2196f3;
}

a:hover,
a:focus,
a:active {
    color: #0f72c1;
}

.subheading {
    text-transform: uppercase;
    font-weight: 500;
    font-family: 'Saira Extra Condensed', serif;
    font-size: 1.35rem;
}

/*==================================================
                  SOCIAL-ICON
====================================================*/
  .list-social-icons a {
      color: #495057;
  }

  .list-social-icons a:hover {
      color: #2196f3;
  }

  .list-social-icons a .fa-lg {
      font-size: 1.75rem;
  }

  .list-icons {
      font-size: 3rem;
  }

  .list-icons .list-inline-item i:hover {
      color: #2196f3;
  }

/*==================================================
                    NAV-BAR
====================================================*/
  #sideNav .navbar-nav .nav-item .nav-link {
      font-weight: 600;
      text-transform: uppercase;
  }

  @media (min-width: 992px) {
      #sideNav {
          text-align: center;
          position: fixed;
          top: 0;
          left: 0;
          display: flex;
          flex-direction: column;
          width: 17rem;
          height: 100vh;
      }
      #sideNav .navbar-brand {
          display: flex;
          margin: auto auto 0;
          padding: 0.5rem;
      }
      #sideNav .navbar-brand .img-profile {
          max-width: 10rem;
          max-height: 10rem;
          border: 0.5rem solid rgba(255, 255, 255, 0.2);
      }
      #sideNav .navbar-collapse {
          display: flex;
          align-items: flex-start;
          flex-grow: 0;
          width: 100%;
          margin-bottom: auto;
      }
      #sideNav .navbar-collapse .navbar-nav {
          flex-direction: column;
          width: 100%;
      }
      #sideNav .navbar-collapse .navbar-nav .nav-item {
          display: block;
      }
      #sideNav .navbar-collapse .navbar-nav .nav-item .nav-link {
          display: block;
      }
  }

/*==================================================
                  BUTTON (Generic)
====================================================*/

.btn-general {
    background-color: transparent;
    text-align: center;
    border-width: 1px;
    border-radius: 0px;
    font-size: 16px;
    padding: 10px 15px;
    font-weight: 400;
    text-transform: uppercase;
}

.btn-white {
    border-color: #2196f3;
    background-color: #2196f3;
    color: #fff;
}

.btn-white:hover,
.btn-white:focus {
    background-color: transparent;
    color: #2196f3;
    cursor: pointer;
}

.btn-green {
    border-color: #2196f3;
    color: #2196f3;
}

.btn-green:hover,
.btn-green:focus {
    background-color: #2196f3;
    color: #fff;
    cursor: pointer;
}

/*==================================================
                  SECTION (Generic)
====================================================*/
  .heading-border {
      width: 60px;
      height: 10px;
      background-color: #2196f3;
      margin: 0 auto 20px auto;
  }

  section.resume-section {
      border-bottom: 1px solid #dee2e6;
      padding-top: 5rem !important;
      padding-bottom: 5rem !important;
  }

  section.resume-section .resume-item .resume-date {
      min-width: none;
  }

  @media (min-width: 768px) {
      section.resume-section {
          min-height: 100vh;
      }
      section.resume-section .resume-item .resume-date {
          min-width: 18rem;
      }
  }

  @media (min-width: 992px) {
      section.resume-section {
          padding-top: 3rem !important;
          padding-bottom: 3rem !important;
      }
  }

  .bg-primary {
      background-color: #2196f3 !important;
  }

  .text-primary {
      color: #2196f3 !important;
  }

/*==================================================
                      ABOUT
====================================================*/
  #about {
      background-image: url(../img/profile-banner.jpg); 
      background-size: cover;
      background-position: center center;
      background-repeat: no-repeat;
  }

  #about h1 {
    /*font-size: 100%;*/
  }

/*==================================================
                    EXPERIENCE
====================================================*/  
  #experience {
    background: #f5f5f5;
  }

  #experience .card h4{
    font-family: 'Roboto Condensed', sans-serif;
    text-transform: none;
    color:#555;
  }

/*====================================================
                   PORTFOLIO
======================================================*/

#portfolio{
    padding:100px 0;
} 

.port-head-cont{
    margin:20px auto 40px auto;
    text-align: center;
}

.port-head-cont button{
    margin:5px 2px;
}

#portfolio .portfolio-item {
    right: 0;
    margin: 0 0 15px;
}

#portfolio .portfolio-item .portfolio-link {
    position: relative;
    display: block;
    max-width: 400px;
    margin: 0 auto;
    cursor: pointer;
}

#portfolio .portfolio-item .portfolio-link .caption-port {
    position: absolute;
    width: 100%;
    height: 100%;
    -webkit-transition: all ease 0.5s;
    -moz-transition: all ease 0.5s;
    transition: all ease 0.5s;
    opacity: 0;
    background: rgba(54, 160, 245, 0.73);
}

#portfolio .portfolio-item .portfolio-link .caption-port:hover {
    opacity: 1;
}

#portfolio .portfolio-item .portfolio-link .caption-port .caption-port-content {
    font-size: 20px;
    position: absolute;
    top: 50%;
    width: 100%;
    height: 20px;
    margin-top: -12px;
    text-align: center;
    color: white;
}

#portfolio .portfolio-item .portfolio-link .caption-port .caption-port-content i {
    margin-top: -12px;
}

#portfolio .portfolio-item .portfolio-link .caption-port .caption-port-content h3,
#portfolio .portfolio-item .portfolio-link .caption-port .caption-port-content h4 {
    margin: 0;
}

#portfolio * {
    z-index: 2;
}

@media (min-width: 767px) {
    #portfolio .portfolio-item {
        margin: 0 0 30px;
    }
}

.portfolio-modal .modal-dialog {
    max-width: 100%;
    min-height: 100%;
    margin: 0;
    padding: 0;
    text-align: left;
    border: none;
    border-radius: 0;
    background-clip: border-box;
    -webkit-box-shadow: none;
    box-shadow: none;
}

.portfolio-modal .title-bar {
    padding: 0 0 50px 0;
}

.portfolio-modal .title-bar h1{
    visibility: initial;
    animation-name: initial;
}

.portfolio-modal .modal-dialog .modal-content {
    padding: 10px 0 100px 0;
    border: 0;
    border-radius: 0;
} 

.portfolio-modal .modal-dialog .modal-content img {
    margin-bottom: 30px;
}

.portfolio-modal .modal-dialog .modal-content .item-details {
    margin: 30px 0;
}
 
.portfolio-modal .close-modal {
    position: absolute;
    top: 25px;
    right: 25px;
    width: 75px;
    height: 75px;
    cursor: pointer;
    background-color: transparent;
}

.portfolio-modal .close-modal:hover {
    opacity: 0.3;
}

.portfolio-modal .close-modal .lr {
    /* Safari and Chrome */
    z-index: 1051;
    width: 1px;
    height: 75px;
    margin-left: 35px;
    /* IE 9 */
    -webkit-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    transform: rotate(45deg);
    background-color: #2C3E50;
}

.portfolio-modal .close-modal .lr .rl {
    /* Safari and Chrome */
    z-index: 1052;
    width: 1px;
    height: 75px;
    /* IE 9 */
    -webkit-transform: rotate(90deg);
    -ms-transform: rotate(90deg);
    transform: rotate(90deg);
    background-color: #2C3E50;
}

.portfolio-modal .modal-backdrop {
    display: none;
    opacity: 0;
}

@media (max-width: 850px){
    .portfolio-modal .close-modal{
        display: none;
    }
}  

/*====================================================
                      SKILLS
======================================================*/

#skills {
    background-image: url("../img/bg-stats.jpg");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.skill-cover {
    background-color: rgba(31, 31, 31, 0.68); 
}

.skill-cover h3{
  font-family: "hind", sans-serif;
  font-size: 35px;
  margin-bottom: 40px;
}

.skill-item {
    padding: 20px 0;
    margin-bottom: 30px;
    background: rgba(144, 144, 144, 0.78);
}

.skill-item i {
    color: #2196f3;
}

.skill-item h2 {
    color: #fff;
    font-size: "hind", sans-serif;
    font-size: 35px;
    font-weight: 700;
    margin-top: 15px;
    margin-bottom: 1px;
}

.skill-item p {
    color: #fff;
    font-family: "hind", sans-serif;
    /*text-transform: uppercase;*/
    font-weight: 300;
    margin-top: 0;
}

/*====================================================
                      AWARD
======================================================*/
 
#awards {
    background: #f0f0f0;
}

#award-box {
    overflow: hidden;
    position: relative;
    padding: 60px 0;
}

#award-box:before {
    content: "";
    width: 1px;
    height: 100%;
    background: #cfcdcd;
    position: absolute;
    top: 0;
    left: 50%;
}

#award-box .award {
    width: 50%;
    clear: both;
    position: relative;
}

#award-box .award:before,
#award-box .award:after {
    content: "";
    display: block;
    clear: both;
}

#award-box .award:first-child:before,
#award-box .award:last-child:before {
    content: "";
    width: 11px;
    height: 11px;
    background: #cfcdcd;
    box-sizing: content-box;
    border: 5px solid #fff;
    box-shadow: 0 0 0 2px #cfcdcd;
    position: absolute;
    top: -54px;
    right: -11px;
    transform: rotate(45deg);
}

#award-box .award:last-child:before {
    top: auto;
    bottom: -54px;
}

#award-box .award:last-child:nth-child(even):before {
    right: auto;
    left: -11px;
}

#award-box .award-icon {
    width: 24px;
    height: 24px;
    background: #fff;
    border: 1px solid #cfcdcd;
    position: absolute;
    top: 17px;
    right: -13px;
    z-index: 1;
    transform: rotate(45deg);
}

#award-box .award-icon:before {
    content: "";
    display: block;
    width: 15px;
    height: 15px;
    background: #fff;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    transition: background-color 0.2s ease 0s;
}

#award-box .award:hover .award-icon:before {
    background: #39b3ff;
}

#award-box .award-content {
    width: 85%;
    padding: 18px 30px;
    background: #fff;
    text-align: right;
    float: left;
    border: 1px solid transparent;
    position: relative;
    transition: all 0.3s ease 0s;
}

#award-box .award:hover .award-content {
    border: 1px solid #cfcdcd;
}

#award-box .award-content:before {
    content: "";
    display: block;
    width: 14px;
    height: 14px;
    background: #fff;
    border: 1px solid #cfcdcd;
    position: absolute;
    top: 21px;
    right: -7.3px;
    transform: rotate(45deg);
    transition: all 0.2s ease 0s;
}

#award-box .award:hover .award-content:before {
    background: #39b3ff;
    border-color: #39b3ff;
}

#award-box .award-content:after {
    content: "";
    width: 11%;
    height: 1px;
    background: #cfcdcd;
    position: absolute;
    top: 28px;
    right: -14%;
}

#award-box .date {
    display: block;
    font-size: 15px;
    font-weight: 600;
    color: #39b3ff;
    margin: 0 0 8px;
    transition: all 0.3s ease 0s;
}

#award-box .award:hover .date {
    color: #444;
}

#award-box .title {
    font-size: 18px;
    color: #444;
    margin-top: 0;
    transition: all 0.3s ease 0s;
}

#award-box .award:hover .title {
    color: #39b3ff;
}

#award-box .description {
    font-size: 16px;
    color: #777;
    line-height: 28px;
    margin-top: 8px;
}

#award-box .award:nth-child(2n),
#award-box .award:nth-child(2n) .award-content {
    float: right;
    text-align: left;
}

#award-box .award:nth-child(2n) .award-icon {
    right: 0;
    left: -12px;
}

#award-box .award:nth-child(2n) .award-content:before {
    left: -7.3px;
}

#award-box .award:nth-child(2n) .award-content:after {
    left: -14%;
}
 
@media only screen and (max-width: 767px) {
    #award-box {
        padding-left: 20px;
    }
    #award-box:before {
        left: 20px;
    }
    #award-box .award {
        width: 100%;
    }
    #award-box .award,
    #award-box .award-content {
        float: right;
        padding:5px;
        text-align: left;
    }
    #award-box .award:first-child:before,
    #award-box .award:last-child:nth-child(odd):before {
        right: auto;
        left: -11px;
    }
    #award-box .award-icon {
        right: 0;
        left: -12px;
    }
    #award-box .award-content:before {
        left: -7.3px;
    }
    #award-box .award-content:after {
        left: -14%;
    }
}

/*====================================================
                   CONTACT
======================================================*/

#contact{
  padding: 50px 0;
}

#contact .contact-cont h3{
  color:#555;
  font-size: 45px;
}

#contact .contact-cont p{
  padding-right: 20px;
  font-size: 15px;
}

#contact .contact-cont2 address,
#contact .contact-cont2 address a{
  color:#666;
}
 
.con-form input {
    border-color: #ccc;
    border-radius: 0;
    color: #717171;
    margin-top: 30px; 
}

.con-form textarea {
    width: 100%; 
    height: 200px;
    margin:30px 0;
    border-color: #ccc;
    border-radius: 0;
    color: #717171;
}

.contact-side-desc{
    padding-top: 40px;
} 

.contact-box-desc h3{
  color:#555;
}

.contact-box-desc h3 i{
  color: #2196f3;
}

.social-icon-f li{
  display: inline-block;
}

.social-icon-f li i{
  height: 35px;
  width:35px;
  line-height: 35px;
  border:2px solid #2196f3;
  text-align: center;
  margin-right: 10px;
  border-radius: 50%;
}  

@media(max-width: 767px){
    #contact-p2 .con-form input{
        margin-bottom: 30px;
    }
    .con-form textarea {
        width: 100%; 
        height: 200px;
        margin:10px 0 30px 0;
        border-color: #ccc;
        border-radius: 0;
        color: #717171;
    }

    .contact-box-desc{
        text-align: center;
    }

    #contact .social-icon-f{
        text-align: center;
    }
}

@media (max-width: 575px){
    #contact .social-icon-f{
            text-align: center;
    }    
}

@media (max-width: 420px){
    #contact .social-icon-f{
            text-align: center;
    }    
}
 
.map-responsive{
    overflow:hidden;
    padding-bottom:50%;
    position:relative;
    height:0;
}

.map-responsive iframe{
    left:0;
    top:0;
    height:100%;
    width:100%;
    position:absolute;
}